Bug 429342 - regression: nosync mirror creation is broken
Summary: regression: nosync mirror creation is broken
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2   
(Show other bugs)
Version: 5.2
Hardware: All Linux
high
high
Target Milestone: rc
: ---
Assignee: Milan Broz
QA Contact: Corey Marthaler
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-18 20:03 UTC by Corey Marthaler
Modified: 2013-03-01 04:06 UTC (History)
7 users (show)

Fixed In Version: RHBA-2008-0378
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 15:39:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0378 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2008-05-20 19:32:48 UTC

Description Corey Marthaler 2008-01-18 20:03:40 UTC
Description of problem:

--nosync mirrors should be at 100% sync completion right after creation.

[root@hayes-01 tmp]# lvcreate -m 1 --nosync -n mirror -L 10G mirror_sanity
  WARNING: New mirror won't be synchronised. Don't read what you didn't write!
  Logical volume "mirror" created

[root@hayes-01 tmp]# lvs
  LV       VG            Attr   LSize  Origin Snap%  Move Log         Copy%  Convert
  LogVol00 VolGroup00    -wi-ao 72.44G
  LogVol01 VolGroup00    -wi-ao  1.94G
  mirror   mirror_sanity Mwi-a- 10.00G                    mirror_mlog   3.67
[root@hayes-01 tmp]# lvs
  LV       VG            Attr   LSize  Origin Snap%  Move Log         Copy%  Convert
  LogVol00 VolGroup00    -wi-ao 72.44G
  LogVol01 VolGroup00    -wi-ao  1.94G
  mirror   mirror_sanity Mwi-a- 10.00G                    mirror_mlog   4.14


Version-Release number of selected component (if applicable):
2.6.18-62.el5
lvm2-2.02.30-1.el5

How reproducible:
everytime

Comment 3 Milan Broz 2008-01-21 13:00:01 UTC
Fixed in lvm2-2.02.31-1.

Comment 5 Corey Marthaler 2008-03-31 15:57:56 UTC
Fix verified in lvm2-cluster-2.02.32-2.el5.

[root@hayes-03 ~]# lvcreate -m 1 --nosync -n mirror -L 10G hayes
  WARNING: New mirror won't be synchronised. Don't read what you didn't write!
  Logical volume "mirror" created
[root@hayes-03 ~]# lvs
  LV       VG         Attr   LSize  Origin Snap%  Move Log         Copy%  Convert
  mirror   hayes      Mwi-a- 10.00G                    mirror_mlog 100.00


Comment 7 errata-xmlrpc 2008-05-21 15:39:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0378.html



Note You need to log in before you can comment on or make changes to this bug.